Subject: [storm] storm WG - iSCSI standards work completed!!

From: "Black, David" <[email-masked]>
Date: Wed, 27 Nov 2013 16:59:50 -0500

The approval announcement below completes the technical work on the revised
iSCSI standards in the storm WG.  This is a major accomplishment, and I want
to thank everyone involved starting with the authors of the drafts.

Thank you!!

In addition to checks required as the drafts are processed into RFCs (e.g.,
questions from IANA, Authors 48 Hours checks) I still need to write a couple
of RFC Editor notes to make these updates to the Consolidated iSCSI draft:

(A) OCSP is now allowed for checking certificates in addition to use of CRLs.

(B) Extended sequence numbers (ESNs) are now required for ESPv2 (IPsec v2 -
	RFC 2406) in addition to ESPv3 (IPsec v3 - RFC 4303).

The "long pole" for publication of these new RFCs is going to be some SCSI
standards work at T10 to support use of iSCSI Protocol Level values in SCSI
version descriptors.  Fred Knight and I hope to get this done at the January
2014 T10 meetings, and with luck, RFC publication will follow not too long
thereafter - before the London IETF meeting week if things go quickly, but
that's not a certainty.

Thanks,
--David

> -----Original Message-----
> From: IETF-Announce [mailto:[email-masked]] On Behalf Of The
> IESG
> Sent: Wednesday, November 27, 2013 8:50 AM
> To: IETF-Announce
> Cc: storm mailing list; storm chair; RFC Editor
> Subject: Protocol Action: 'Securing Block Storage Protocols over IP: RFC 3723
> Requirements Update for IPsec v3' to Proposed Standard (draft-ietf-storm-
> ipsec-ips-update-04.txt)
> 
> The IESG has approved the following document:
> - 'Securing Block Storage Protocols over IP: RFC 3723 Requirements Update
>    for IPsec v3'
>   (draft-ietf-storm-ipsec-ips-update-04.txt) as Proposed Standard
> 
> This document is the product of the STORage Maintenance Working Group.
> 
> The IESG contact persons are Martin Stiemerling and Spencer Dawkins.
> 
> A URL of this Internet Draft is:
> http://datatracker.ietf.org/doc/draft-ietf-storm-ipsec-ips-update/
> 
> 
> 
> 
> Technical Summary
> 
>    RFC 3723 specifies IPsec requirements for block storage protocols
>    over IP (e.g., iSCSI) based on IPsec v2 (RFC 2401 and related RFCs);
>    those requirements have subsequently been applied to remote direct
>    data placement protocols, e.g., RDMAP.  This document updates RFC
>    3723's IPsec requirements to IPsec v3 (RFC 4301 and related RFCs) and
>    makes some changes to required algorithms based on developments in
>    cryptography since RFC 3723 was published.
> 
> Working Group Summary
> 
>    This document updates the IPsec requirements in RFC 3723 and all RFCs
>    to which those requirements apply.  The iSCSI maintenance work in
>    the storm WG had originally intended to only update the IPsec
>    requirements for iSCSI.  Two developments changed this approach:
> 
>    o Cryptographic developments upended RFC 3723's requirement for 3DES
>      as the mandatory to implement encryption transform.  The protocols
>      to which RFC 3723 applies can approach 3DES's birthday bound and
>      need to rekey in less than a minute on high-speed links.
> 
>    o iSER (iSCSI extensions for RDMA) uses RFC 3723 IPsec requirements
>      twice, once for iSCSI and once for the underlying rddp (iWARP)
>      RDMA protocol.  An RFC 3723 update is needed for the latter in
>      order to avoid inconsistent IPsec requirements in the same protocol
>      stack.
> 
>    David McGrew and Steve Kent (respectively) deserve credit for surfacing
>    the above two concerns that lead to creation of this document.  This
>    document has not been controversial in the storm WG.
> 
> 
> Document Quality
> 
>    This document specifies a profile of widely implemented protocols,
>    IPsec v2 and v3.  The specified cryptographic transforms have been
>    selected as ones that are commonly available in IPsec implementations.
> 
>    Sean Turner (SEC AD) and Paul Hoffman (ipsecme WG chair) were both
>    notably helpful in providing advice on transform selection.  Yaron
>    Sheffer (ipsecme WG chair) provided a thorough review that significantly
>    improved the quality of this document.  Tom Talpey (storm WG chair)
>    provided a thorough WG Last Call review.
> 
>    The document shepherd is very pleased with the help received from
>    both ipsecme WG co-chairs and the AD responsible for the ipsecme WG.
> 
> Personnel
> 
>    Document Shepherd: David Black (storm WG co-chair, [email-masked])
>    Responsible Area Director: Martin Stiemerling (Transport,
> [email-masked])
> 
> 
>